<!DOCTYPE html>
<html>
<head>
	<title></title>
	<script type="text/javascript">
	</script>
</head>
<body style="background: #bbcce8">
<div style="font-size: 18px; margin: 30px 25px 10px 25px; background: #607fb2;" class = "red_text"> Сам язык JavaScript улучшается. Современный стандарт ECMAScript 5 включает в себя новые возможности для разработки, ECMAScript 6 будет шагом вперёд в улучшении синтаксиса языка. </div>
<div style="font-size: 18px; margin: 10px 25px 25px;background: #607fb2;" class = "red_text "> Современные браузеры улучшают свои движки, чтобы увеличить скорость исполнения JavaScript, исправляют баги и стараются следовать стандартам.</div>
<div style="margin: 30px 200px;"><input style="background: blue; color: white; border-radius: 3px; padding: 20px;" type="button" id="button" value="Нажми и поменяй цвет фона для текста на красный"> </input></div>
<div style="width: 200px;font-size: 14px; margin: 50px 250px;background: white; font-style: italic; "> Если кликнуть на текст, цвет также поменяется на красный</div>

<script type="text/javascript">
	var red_text = document.getElementsByClassName('red_text');
		red_text[0].onclick=function text_color(){
			this.style.background = '#840707'
			red_text[1].style.background = '#840707'
		}
		red_text[1].onclick=function text_color(){
			this.style.background = '#bc4343'
			red_text[0].style.background = '#bc4343'
		}
	var button =  document.getElementById('button');
			button.onclick=function color_change(){
			red_text[0].style.background = 'red'
			red_text[1].style.background = 'red'
		}
</script>
</body>
</html>